> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete an index pipeline

> The request specifies the ID of the index pipeline to delete.



## OpenAPI

````yaml /api-reference/5.9/fusion-api-indexing.json delete /index-pipelines/{id}
openapi: 3.0.1
info:
  title: Fusion Indexing API
  description: |-
    The Lucidworks Fusion Indexing API manages
    parsers, index pipelines, index stages, index profiles, and subscriptions.
  contact:
    name: Lucidworks
    url: https://www.lucidworks.com
    email: support@lucidworks.com
  license:
    name: License of API
    url: https://lucidworks.com/legal/developer-license-agreement/
  version: '5.9'
servers:
  - url: https://{FUSION HOST}/api
    description: Fusion
    variables:
      FUSION HOST:
        default: FUSION_HOST
        description: 'Your environment host. '
  - url: https://{FUSION HOST}/api/apps/{APP_NAME}
    description: Fusion app
    variables:
      FUSION HOST:
        default: FUSION_HOST
        description: 'Your environment host. '
      APP_NAME:
        default: APP_NAME
        description: The name of your Fusion application.
security:
  - Basic auth: []
  - API key: []
tags:
  - name: Index Pipelines API
    description: >-
      Use these endpoints to view and manage your index pipelines.  You can also
      index documents using this API, though the Index Profiles API is
      recommended instead.
  - name: Index Profiles API
    description: >-
      The Index Profiles API provides static endpoints that you can consistently
      point to when indexing your documents.  Index profiles allow you to change
      the index pipelines, parsers, or collections behind them without changing
      the endpoint you use for indexing.  See the Index Profiles CRUD API for
      endpoints that create and modify index profiles.
  - name: Index Profiles CRUD API
    description: >-
      Use these endpoints to create and modify index profiles.  Index profiles
      allow you to change the index pipelines, parsers, or collections behind
      them without changing the endpoint you use for indexing.  See the Index
      Profiles API for the indexing endpoints.
  - name: Index Stage API
    description: >-
      Use these endpoints to view the available index pipeline stages and their
      configuration parameters.
  - name: Index Stage Plugins API
    description: >-
      Use these endpoints to view, install, and manage custom index stages
      developed with the Index Stage SDK.
  - name: Parsers CRUD API
    description: >-
      Endpoints to perform Create-Read-Update-Delete operations on Parsers,
      Deprecated: use async-parsing endpoint instead.
  - name: Parsers Schema API
    description: >-
      Endpoints to get the Schema of Parsers. Deprecated: use async-parsing
      endpoint instead.
  - name: Subscriptions API
    description: The Subscriptions API
externalDocs:
  description: Lucidworks Documentation
  url: https://doc.lucidworks.com/
paths:
  /index-pipelines/{id}:
    delete:
      tags:
        - Index Pipelines API
      summary: Delete an index pipeline
      description: The request specifies the ID of the index pipeline to delete.
      operationId: deleteEntity_3
      parameters:
        - name: id
          description: The index profile ID
          in: path
          required: true
          schema:
            type: string
        - name: ifMatch
          description: Optional tag to match.
          in: header
          schema:
            $ref: '#/components/schemas/IfMatchHeader'
        - name: context
          description: >-
            The app to which this object belongs, as `app:SomeApp`. If the
            object is not part of this app, the request fails. Other
            comma-separated contexts in the `context` parameter are allowed but
            ignored.
          example: app:api-test-app
          in: query
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: string
components:
  schemas:
    IfMatchHeader:
      description: Optional tag to match.
      type: object
  securitySchemes:
    Basic auth:
      type: http
      scheme: basic
    API key:
      name: x-api-key
      type: apiKey
      in: header

````